%define major 1
%define	libname_orig libforms
%define libname %mklibname forms %{major}
%define	libname_devel %mklibname forms %{major} -d
%define libname_static_devel %mklibname forms %{major} -s -d
%define _xlibdir %{_prefix}/X11R6/%{_lib}

%define	name	xforms
%define	version	1.0
#%define beta RC4
#%if %beta
#%define rversion %version%beta
#%define release 0.3%{beta}mdk
#%else
%define release 2mdk
#%endif


Name:		%{name}
Summary:	A X11 toolkit library
Version:	%{version}
Release:	%{release}
License:	LGPL
Group:		System/Libraries
Url:		http://world.std.com/~xforms
Source0:	http://savannah.nongnu.org/download/xforms/stable.pkg/1.0/%{name}-%{version}.tar.bz2
Patch0:		xforms-1.0-makefile.patch.bz2
BuildRequires:	XFree86-devel X11 libjpeg-devel xpm-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
xforms is an X11 toolkit library.

It has now gone Open Source (LGPL).

%package -n	%{libname}
Summary:	Libraries for the xforms toolkit
Group:		System/Libraries

%description -n %{libname}
This package contains the runtime libraries for the xforms toolkit.

%package -n	%{libname_devel}
Summary:	Development files for the xforms toolkit
Group:		Development/C
Provides:	%{libname_orig}-devel
Requires:	%{libname} = %{version}-%{release}

%description -n	%{libname_devel}
This package contains development headers and libraries for xforms.

Install this if you intend to develop / compile programs with xforms.

%package -n	%{libname_static_devel}
Summary:	The static development files for the xforms toolkit
Group:		Development/C
Provides:	%{libname_orig}-static-devel
Requires:	%{libname_devel} = %{version}-%{release}

%description -n	%{libname_static_devel}
This package contains the static libraries for xforms.

%prep
#%if %beta
#%setup -q -n %name-%rversion
#%else
%setup -q 
#%endif
%patch0 -p1 -b .makefile

%build
(unset RPM_OPT_FLAGS; xmkmf -a)
make CDEBUGFLAGS="$RPM_OPT_FLAGS" REQUIREDLIBS="-L%_xlibdir -lGL -ljpeg -lXpm"

%install
rm -rf $RPM_BUILD_ROOT
%{makeinstall_std}

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%files
%defattr(-, root,root)
%{_prefix}/X11R6/bin/*

%files -n %{libname}
%defattr(-,root,root)
%_xlibdir/*.so.*

%files -n %{libname_devel}
%defattr(-,root,root)
%{_prefix}/X11R6/include/*
%_xlibdir/*.so

%files -n %{libname_static_devel}
%defattr(-,root,root)
%_xlibdir/*.a

%changelog
* Sat Dec 25 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.0-2mdk
- fix buildrequires
- drop useless-explicit-provides
- fix summary-ended-with-dot
- cosmetics

* Mon Jul 14 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.0-1mdk
- 1.0
- updated url
- use %%mklibname
- macroize a little
- drop some stuff from P0, some merged upstream

* Thu Sep 26 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0-0.2RC4mdk
- Fix Patch1 (makefile) to get correct SystemUsrLibDir and totally
  nuke references to -I/usr/local/include. Aka, make it lib64-aware.

* Thu Aug 15 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0-0.1RC4mdk
- rc4
- rebuild for new g++-3.2 ABI
- major is 1 now
- rediff patch 0
- fix build

* Sat Jun 15 2002 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.9999-6mdk
- Link against -lxpm as well. (Crufty!!)

* Wed Jun 05 2002 Stefan van der Eijk <stefan@eijk.nu> 0.9999-5mdk
- BuildRequires

* Fri May 17 2002 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.9999-4mdk
- Add ldconfig to post and postun.

* Fri May 17 2002 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.9999-3mdk
- Link against -lGL and -ljpeg.

* Thu May 16 2002 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.9999-2mdk
- Add a url (askwar).

* Tue May 14 2002 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.9999-1mdk
- First Mandrake version.

